Синтаксическая ошибка при установке Xposed Installer в Cyanogenmod 13

Синтаксическая ошибка при установке Xposed Installer в Cyanogenmod 13

На своем телефоне я использую Cyanogenmod 13.0 (Android 6.0.1). Чтобы «подправить» работу официального приложения Youtube, я использую фреймфорк Xposed. После обновления, пришедшего в начале ноября, Xposed отвалился, а обновление, оперативно выпущенное разработчиками завелось, наверное, у всех, кроме меня. При установке Xposed Installer’а из apk меня ожидало следующее сообщение: «Синтаксическая ошибка. Ошибка при синтаксическом анализе пакета.». Внутри поста исправляем это недоразумение.

Кнопка для тех, кому нужно СРАЗУ увидеть решение

В подробнейшем FAQ на сайте 4pda указано следующее: "Если вы не можете установить Xposed Installer. apk из-за ошибок вида «сбой разбора пакета»/«ошибка при синтаксическом анализе пакета»/«файл несовместим»/«файл поврежден», это означает, что либо вы скачали битый apk и нужно его перекачать, либо вы выбираете apk не для своей версии Андроида."

Разумеется, я все проверил, но мне ничего не помогло. Лишь спустя время, уже по инерции переходя по ссылкам, я наткнулся на тему в reddit, где среди малопонятных слов смог разглядеть не только описание своей проблемы, но и ее решение.

Итак, при возникающей ошибке в Cyanogenmod 13 «Синтаксическая ошибка. Ошибка при синтаксическом анализе пакета.» при установке Xposed Installer из apk, нужно выполнить следующее:

Настройки → Приложения → Сверху справа значок шестеренки «Настроить приложения» → Разрешения приложений → Память → Справа вверху — Показать системные процессы → Передвинуть ползунок в положение ВКЛ. напротив Установщика пакетов.

После этого все заработает, а если нет — добро пожаловать на 4pda!)

21.05.2018